# Fleetview Client Module

## Introduction
The **Fleetview Client Module** allows your Drupal website to send environment data, such as module status and system reports, to your Fleetview dashboard.

All data transmission is **secure and encrypted**, ensuring that only the Fleetview dashboard can read the information. Each environment is assigned a unique **connection token** to authenticate communication.

---

## Installation Instructions

### 1. Install the Module via Composer
1. Open a terminal in your Drupal project root.
2. Run the following command to install the module:
   ```sh
   composer require drupal/fleetview_client
   ```

### 2. Enable the Module
Once installed, enable the module using one of the following methods:
- Via the **Extend** page in the Drupal admin panel.
- Or using Drush:
  ```sh
  drush en fleetview_client -y
  ```

### 3. Configure the Module
1. Navigate to **Configuration > System > Fleetview Client**.
2. Locate the **Connection Token**.
3. Use this token to **enroll** the environment on your Fleetview dashboard.

---

## Security & Data Privacy
- Data is **only accessible** through the unique secure key generated for each environment.
- All transmitted data is **encrypted** and can only be read by the Fleetview dashboard.

For more details, visit the [Fleetview Documentation](https://fleetview.dev/dashboard/documentation).

---

## Support
For support or questions, please contact [Fleetview Support](https://fleetview.dev/dashboard/support) or visit the official documentation.

---

**© Fleetview - All Rights Reserved.**

