<?php

namespace Drupal\fleetview_client\Services;

/**
 * Encryption logic for fleetview_client.
 */
class FleetviewClientEncryption {

  /**
   * System Status: create a new token.
   */
  public static function getToken() {
    // Generate random bytes.
    $bytes = random_bytes(16);

    // Convert the random bytes to a hexadecimal string.
    $apiKey = bin2hex($bytes);

    return $apiKey;

  }

  /**
   * Encrypt string using openssl.
   */
  public static function encryptOpenssl($plaintext) {
    $encryption_token = \Drupal::config('fleetview_client.settings')->get('fleetview_client_encrypt_token');
    $key = hash("SHA256", $encryption_token, TRUE);
    $plaintext_utf8 = utf8_encode($plaintext);
    $iv = openssl_random_pseudo_bytes(16);
    $cyphertext = openssl_encrypt($plaintext_utf8, 'AES-128-CBC', $key, OPENSSL_RAW_DATA, $iv);
    $encoded_cypertext = base64_encode($iv . $cyphertext);
    return $encoded_cypertext;
  }

}
